function conductExperimentsLS(minNrDoF)
    
if( nargin == 0)
    minNrDoF = 1000000;
end

% afemWeightedLS(example,tag_M0,tag_F0,compare,theta,kappa,rho,minNrDoF)

%% Example 'SquareExact' from Subsection 9.2
afemWeightedLS('SquareExact','identitySZero','H0',0,1,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SquareExact with M=1+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SquareExact','identitySZero','H0',0,0.5,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SquareExact with M=1+S, F=H0, theta=0.5, kappa=0.3, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SquareExact','twoidentitySZero','H0',0,1,0.8,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SquareExact with M=2+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SquareExact','twoidentitySZero','H0',0,0.5,0.8,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SquareExact with M=2+S, F=H0, theta=0.5, kappa=0.8, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 

%% Example 'Waterfall' from Subsection 9.3
afemWeightedLS('Waterfall','identity','zero',0,1,50,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['Waterfall, M=1, F=0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('Waterfall','identity','zero',0,0.5,50,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['Waterfall, M=1, F=0, theta=0.5, kappa=50, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 

%% Example 'LshapeExact' from Subsection 9.4
afemWeightedLS('LshapeExact','identitySZero','H0',0,1,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeExact with M=1+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeExact','identitySZero','H0',0,0.5,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeExact with M=1+S, F=H0, theta=0.5, kappa=0.3, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeExact','twoidentitySZero','H0',0,1,0.8,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeExact with M=2+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeExact','twoidentitySZero','H0',0,0.5,0.8,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeExact with M=2+S, F=H0, theta=0.5, kappa=0.8, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 


%% Example 'SlitExact' from Subsection 9.5
afemWeightedLS('SlitExact','identitySZero','H0',0,1,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.9,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.9, kappa=0.3, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.8,0.3,0.1,min(minNrDoF,800000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.8, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,800000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.7,0.3,0.1,min(minNrDoF,500000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.7, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,500000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.6,0.3,0.1,min(minNrDoF,300000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.6, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,300000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.5,0.3,0.1,min(minNrDoF,100000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.5, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,100000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.4,0.3,0.1,min(minNrDoF,100000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.4, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,100000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.3,0.3,0.1,min(minNrDoF,30000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.3, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,30000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.2,0.3,0.1,min(minNrDoF,10000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.2, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,10000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('SlitExact','identitySZero','H0',0,0.3,0.1,0.1,min(minNrDoF,4000));
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['SlitExact, M=1+S, F=H0, theta=0.1, kappa=0.3, rho=0.1, minDof=',num2str(min(minNrDoF,4000)), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 

%% Example 'LshapeDirac' from Subsection 9.6
afemWeightedLS('LshapeDirac','identitySZero','H0',0,1,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDirac, M=1+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeDirac','identitySZero','H0',0,0.5,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDirac, M=1+S, F=H0, theta=0.5, kappa=0.3, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeDirac','identitySZero','H0',0,0.5,1000000,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDirac, M=1+S, F=H0, theta=0.5, kappa=1000000, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeDiracReverse','identitySZero','H0',0,1,0.3,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDiracReverse, M=1+S, F=H0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeDiracReverse','identitySZero','H0',0,0.5,0.01,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDiracReverse, M=1+S, F=H0, theta=0.5, kappa=0.3, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemWeightedLS('LshapeDiracReverse','identitySZero','H0',0,0.5,1000000,0.1,minNrDoF);
fileID = fopen('ExperimentsLS.txt','a');
fprintf(fileID, ['LshapeDiracReverse, M=1+S, F=H0, theta=0.5, kappa=1000000, rho=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
end


% Copyright 2018 Friederike Hellwig
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
