function conductExperimentsReduced(minNrDoF)
    
if( nargin == 0)
    minNrDoF = 1000000;
end

% afemReduced(example,alpha,Q,compare,theta,minNrDoF)

%% Example 'SquareExact' from Subsection 9.2
afemReduced('SquareExact',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SquareExact with alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SquareExact',1,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SquareExact with alpha=1, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SquareExact',0.5,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SquareExact with alpha=0.5, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SquareExact',0.5,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SquareExact with alpha=0.5, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;

%% Example 'Waterfall' from Subsection 9.3
afemReduced('Waterfall',1,'piZero',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=1, Q=pi0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',1,'piZero',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=1, Q=pi0, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',0,'piZero',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=0, Q=pi0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',0.5,'piZero',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=0.5, Q=pi0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',10,'piZero',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=10, Q=pi0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',100,'piZero',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=100, Q=pi0, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 
afemReduced('Waterfall',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['Waterfall, alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all; 

%% Example 'LshapeExact' from Subsection 9.4
afemReduced('LshapeExact',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeExact with alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeExact',1,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeExact with alpha=1, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeExact',0.5,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeExact with alpha=0.5, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeExact',0.5,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeExact with alpha=0.5, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;

%% Example 'SlitExact' from Subsection 9.5
afemReduced('SlitExact',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.9,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.9, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.8,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.8, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.7,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.7, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.6,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.6, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.4,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.4, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.3,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.3, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.2,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.2, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('SlitExact',1,'identity',0,0.1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['SlitExact, alpha=1, Q=id, theta=0.1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;

%% Example 'LshapeDirac' from Subsection 9.6
afemReduced('LshapeDirac',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeDirac, alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeDirac',1,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeDirac, alpha=1, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeDiracReverse',1,'identity',0,1,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeDiracReverse, alpha=1, Q=id, theta=1, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
afemReduced('LshapeDiracReverse',1,'identity',0,0.5,minNrDoF);
fileID = fopen('ExperimentsReduced.txt','a');
fprintf(fileID, ['LshapeDiracReverse, alpha=1, Q=id, theta=0.5, minDof=',num2str(minNrDoF), ' finished at ',datestr( datevec( now ), 'yyyy-mm-dd HH:MM' ),'\n']);
fclose(fileID);
close all;
end
