%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% L-shaped domain with right-hand side 1 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function data = OneRHS
    exSolKnown = 0;
    [c4n,n4e,n4sDb,n4sNb] = loadGeometry('Lshape',1);
    data = {c4n,n4e,n4sDb,n4sNb,@f,@u4Db,@g,exSolKnown} ;
end

%% PROBLEM INPUT DATA
% Right-hand side function
function val = f(x)
     val = ones(size(x,1),1);
 end
 
% Dirichlet boundary data
function val = u4Db(x)
     val = zeros(size(x,1),1);
 end
 
 % Neumann boundary data
function val = g(x)
     val = ones(size(x,1),2);
 end
 
 % Copyright 2018 Friederike Hellwig
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.